# Uses of Class
com.logicaldoc.core.security.Geolocation

Packages that use Geolocation
Package
Description
com.logicaldoc.core.security
Container of the security-related interfaces and classes

## Uses of Geolocation in com.logicaldoc.core.security

Methods in com.logicaldoc.core.security that return Geolocation
Modifier and Type
Method
Description
`static Geolocation`
Geolocation.`get()`
Retrieve the singleton instance of the Geolocation
`static Geolocation`
Geolocation.`get(String ip)`
Instantiates a new Geolocation for a given IP
`Geolocation`
Client.`getGeolocation()`
Methods in com.logicaldoc.core.security with parameters of type Geolocation
Modifier and Type
Method
Description
`void`
Client.`setGeolocation(Geolocation geolocation)`